/*
 * see https://www.simtech-ag.ch/education/java/jegl/resources/oo/rectangleswingmethod
 * author: Daniel Schmutz
 * copyright: Simtech AG (https://www.simtech-ag.ch)
 */

package ch.std.jegl.rectangle.swing;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

import ch.std.jegl.rectangle.Rectangle;

public class RectangleSwing extends JPanel {

	private static final long serialVersionUID = -8966239512631236361L;

	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);
		this.setBackground(Color.BLUE);
		Rectangle r1 = new Rectangle();
		r1.setX(20);
		r1.setY(20);
		r1.setWidth(100);
		r1.setHeight(200);
		r1.setColor(Color.RED);
		r1.draw(g);
		Rectangle r2 = new Rectangle();
		r2.setX(140);
		r2.setY(120);
		r2.setWidth(200);
		r2.setHeight(100);
		r2.setColor(Color.YELLOW);
		r2.setFill(true);
		r2.draw(g);
	}

	@Override
	public Dimension getPreferredSize() {
		return new Dimension(400, 400);
	}

	// create the GUI explicitly on the Swing event thread
	private static void createAndShowGui() {
		RectangleSwing mainPanel = new RectangleSwing();

		JFrame frame = new JFrame("RectangleSwing");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().add(mainPanel);
		frame.pack();
		frame.setLocationByPlatform(true);
		frame.setVisible(true);
	}

	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGui();
			}
		});
	}
}
