/*
 * see https://www.simtech-ag.ch/education/java/jpf2/resources/lambda/stream/warehouse
 * author: Daniel Schmutz
 * copyright: Simtech AG (https://www.simtech-ag.ch)
 */

package ch.std.jpf2.lambda.stream.warehouse.test;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import ch.std.jpf2.lambda.stream.warehouse.Warehouse;

public class WarehouseConsumerTest {

	private Warehouse warehouse;
	
	@BeforeEach
	public void setup() {
		this.warehouse = new Warehouse();
	}

	@Test
	public void test_incrementQuantityBy2ForAllArticles() {
		this.warehouse.changeArticles(a -> true, a -> a.setQuantity(a.getQuantity()+2));
		Integer[] expected = {77, 122, 47, 117, 52, 202, 152};
		Integer[] quantities = this.warehouse.getArticles().stream().map(a -> a.getQuantity()).toArray(Integer[]::new);
		Assertions.assertArrayEquals(expected, quantities);
	}

}
